SystemOrganization addCategory: #'Comet-Tests-Core'!

!WAPackage class methodsFor: '*comet-tests-core' stamp: 'lr 3/16/2009 19:11'!
cometTestsCore
	^ self new
		name: 'Comet-Tests-Core';
		description: 'Unit tests for the Comet-Core package.';
		addDependency: 'Comet-Core';
		addDependency: 'Seaside-Tests-Core';
		yourself! !

TestCase subclass: #CTPlatformTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Comet-Tests-Core'!

!CTPlatformTest methodsFor: 'testing' stamp: 'MAD 2/20/2009 23:21'!
testForkCometProcessDo
	| semaphore seen |
	semaphore := WAPlatform current semaphoreClass new.
	
	seen := false.
	WAPlatform current forkCometProcessDo: [ seen := true. semaphore signal ].
	semaphore wait.
	self assert: [ seen ].
! !
